# Trls_FindTaxRegionForAddress

Find Tax Region by address.

`POST /tax-regions/$lookup-by-address`

**API:** Avalara Tax Content - Tax Region Lookup Service
**Tag:** Trls
**API Version:** 1.0.0
**Base URL:** https://rest.content.avalara.com
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header) or API Key (`x-correlation-id` in header) or API Key (`x-avalara-client` in header)

Source: https://developer.avalara.com/products/avalara-tax-content/api/trls/methods/Trls/Trls_FindTaxRegionForAddress/

## Description

Retrieve Tax Region data for the specified address.
If the address cannot be resolved, zip9 (zip+plus4) will be used for accuracy.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `resolutionMode` | string | query | No | "coord" by default, set to "address" for explicit address lookup |
| `avalara-version` | string | header | No |  |

## Request Body

**Content-Type:** `application/json`
**Schema:** `AddressRequest`

| Property | Type | Required | Description |
|---|---|---|---|
| `address` | Address | No |  |
| `date` | string | No | Date. Example: `2022-03-01T00:00:00`. |
| `id` | string | No | ID. Example: `12345`. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `AddressResponse` |
| 401 | Unauthorized | `Error401` |

### 200 Response: `AddressResponse`

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | string | No | ID. Example: `12345`. |
| `taxRegionId` | integer | No | Tax Region ID. Example: `54321`. |
| `resolveIssue` | object | No |  |

## Example Request

```bash
curl -X POST "https://rest.content.avalara.com/tax-regions/$lookup-by-address" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '{
  "address": {
    "line1": "255 S King St",
    "line2": "Ste. #1800",
    "city": "Seattle",
    "state": "WA",
    "zip": "98104",
    "plus4": "3317",
    "country": "US or CA",
    "region": "QC",
    "postalCode": "V5K 2N1"
  },
  "date": "2022-03-01T00:00:00",
  "id": "12345"
}'
```